# FoundationClasses
TKernel
TShort

# TShort_Array1OfShortReal Class Reference

`#include <TShort_Array1OfShortReal.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TShort_Array1OfShortReal (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | TShort_Array1OfShortReal (const Standard_ShortReal &Item, const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT void | Init (const Standard_ShortReal &V)
Standard_EXPORT void | Destroy ()
| ~TShort_Array1OfShortReal ()
Standard_Boolean | IsAllocated () const
Standard_EXPORT const TShort_Array1OfShortReal & | Assign (const TShort_Array1OfShortReal &Other)
const TShort_Array1OfShortReal & | operator= (const TShort_Array1OfShortReal &Other)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Standard_ShortReal &Value)
const Standard_ShortReal & | Value (const Standard_Integer Index) const
const Standard_ShortReal & | operator() (const Standard_Integer Index) const
Standard_ShortReal & | ChangeValue (const Standard_Integer Index)
Standard_ShortReal & | operator() (const Standard_Integer Index)

## Private Member Functions

Standard_EXPORT | TShort_Array1OfShortReal (const TShort_Array1OfShortReal &AnArray)

## Private Attributes

Standard_Integer | myLowerBound
Standard_Integer | myUpperBound
Standard_Address | myStart
Standard_Boolean | isAllocated

## Constructor & Destructor Documentation

Standard_EXPORT TShort_Array1OfShortReal::TShort_Array1OfShortReal | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT TShort_Array1OfShortReal::TShort_Array1OfShortReal | ( | const Standard_ShortReal & | Item,
|  | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

TShort_Array1OfShortReal::~TShort_Array1OfShortReal | ( |  | ) | `[inline]`

Standard_EXPORT TShort_Array1OfShortReal::TShort_Array1OfShortReal | ( | const TShort_Array1OfShortReal & | AnArray | ) | `[private]`

## Member Function Documentation

Standard_EXPORT const TShort_Array1OfShortReal& TShort_Array1OfShortReal::Assign | ( | const TShort_Array1OfShortReal & | Other | ) |

Standard_ShortReal& TShort_Array1OfShortReal::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT void TShort_Array1OfShortReal::Destroy | ( |  | ) |

Standard_EXPORT void TShort_Array1OfShortReal::Init | ( | const Standard_ShortReal & | V | ) |

Standard_Boolean TShort_Array1OfShortReal::IsAllocated | ( |  | ) | const

Standard_Integer TShort_Array1OfShortReal::Length | ( |  | ) | const

Standard_Integer TShort_Array1OfShortReal::Lower | ( |  | ) | const

void TShort_Array1OfShortReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TShort_Array1OfShortReal::operator new | ( | size_t | size | ) | `[inline]`

void* TShort_Array1OfShortReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_ShortReal& TShort_Array1OfShortReal::operator() | ( | const Standard_Integer | Index | ) | `[inline]`

const Standard_ShortReal& TShort_Array1OfShortReal::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

const TShort_Array1OfShortReal& TShort_Array1OfShortReal::operator= | ( | const TShort_Array1OfShortReal & | Other | ) | `[inline]`

void TShort_Array1OfShortReal::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_ShortReal & | Value
| ) |

Standard_Integer TShort_Array1OfShortReal::Upper | ( |  | ) | const

const Standard_ShortReal& TShort_Array1OfShortReal::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Standard_Boolean TShort_Array1OfShortReal::isAllocated `[private]`

Standard_Integer TShort_Array1OfShortReal::myLowerBound `[private]`

Standard_Address TShort_Array1OfShortReal::myStart `[private]`

Standard_Integer TShort_Array1OfShortReal::myUpperBound `[private]`

The documentation for this class was generated from the following file:

- TShort_Array1OfShortReal.hxx